#!/usr/bin/env bash

if [ "$GITHUB_REPOSITORY_OWNER" = "crystal" ] ; then
	echo "crystal_pr: skipping mirror!"
	exit 0
fi
git fetch --tags
git remote add action-forgejo-mirror https://forgejo-deb:$FORGEJO_KEY@$FORGEJO_DEST/$GITHUB_REPOSITORY
git push action-forgejo-mirror --all
git push action-forgejo-mirror --tags "refs/remotes/origin/*:refs/heads/*"
git remote remove action-forgejo-mirror
